html {
    height: 100%;
}
body,button,input,keygen,select,textarea {
    font-family: -apple-system,BlinkMacSystemFont,open_sanslight,"Helvetica Neue",Helvetica,Arial,sans-serif!important
}
body {
    min-height: 100vh;
    font-size: 16px;
    background-image: none;
    /*background: #88aae1;*/
    /*background: #496a8b;*/
    background-color: #3b454e;
    margin:0;
    padding:0;
    color: white;
}
#main {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-items: center;
    height: 100vh;
}

#container {
    display: flex;
    flex-grow: 9;
    flex-direction: row;
    justify-content: space-evenly;
    /*padding-left: 60px;*/
    width: 98vw;
}
#statusbar {
    /*flex-grow: 1;*/
    padding-top: 10px;
    padding-bottom: 10px;
}
#controls {
    /*text-align: center;*/
    flex-grow: 1;
    /*padding-left: 30px;*/
    padding-bottom: 40px;
    display: flex;
    flex-direction: column;
}
#maincontrols {
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 15px;
    flex-wrap: wrap;
}
#secondarycontrols {
    /*display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 15px;*/
    display: none;
}
#header {
    text-align: center;
    display: block;
    position: relative;
    height: 25px ;
    background-size: contain;
    background-repeat: no-repeat;
    z-index: 2;
    /*background-color: #307bd0;*/
    color: white;
    opacity: 0.8;
}
#reconnect {
    border: 10px;
    padding: 25px;
    border-radius: 5px;
    line-height: 50px;
    max-height: 50px;
}
#nobody {
    display: flex;
    align-items: center;
    text-align: center;
}
.overlay{
    text-align: center;
    color: white;
    min-height: 33px;
    line-height: 32px;
    position: absolute;
    bottom: 5px;
    left: 50%;
}
#middle {
    flex-grow: 2;
    display: flex;
    flex-direction: column;
}
.right {
    /*flex-grow: 1;*/
    display: flex;
    flex-direction: column;
    padding-top: 40px;
}
.left {
    /*flex-grow: 1;*/
    display: flex;
    flex-direction: column;
    padding-top: 50px;
}
#participants{
    padding-left: 3px;
}
.participant{
    background-color: #475f76;
    border-radius: 2px;
    padding-left: 4px;
    margin-top: 5px;
    border: 2px solid #3b454e;
}
.moderator{
    /*background-color: #215c35;*/
}
.button {
    /*height: 35px; */
    /*width: 35px; */
    background-color: #365676;
    margin: 0;
    border-radius: 10px;
    color: white;
    cursor: pointer;
    padding: 5px;
    text-decoration: none;
}
#messagesContainer {
    display:none;
    min-width: 200px;
    position: fixed;
    left: 10px;
    width: 200px;
    /*height: 90vh;*/
    z-index: 1000;
    border-radius: 10px;
}
/* 
scollbar stuff: 
https://www.digitalocean.com/community/tutorials/css-scrollbars
*/
#messages {
    /*height: 80vh;*/
    overflow-y: scroll;
    /*background-color: white;*/
    background-color: #475f76;
    border-radius: 10px;
    padding-top: 10px;
    padding-left: 5px;
    scrollbar-width: thin; /* Firefox */
    scrollbar-color: #475f76 #475f76;    /* Firefox */
}
#messages::-webkit-scrollbar {
    width: 8px;               /* width of the entire scrollbar */
    background-color: #768ea6;
}
#messages::-webkit-scrollbar-track {
    background: #768ea6;
}
  
#messages::-webkit-scrollbar-thumb {
    background-color: #475f76;
    border-radius: 20px;
    border: 3px solid #768ea6;
}  
#sendmessage{
    width: 95%;
    background-color: #8ea0b3 !important;
    color: white !important;
}
.remotevideo {
    /*max-width: 640px;*/
    /*min-width: 50px;*/
    flex-direction: row;
    /*max-height: 480px;*/
    /*object-fit: contain;*/
    object-fit: cover;
    flex-grow: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 2px solid #3b454e;
}
.remotecontainer {
    /*max-width: 640px;*/
    min-width: 50px;
    flex-direction: row;
    max-height: 480px;
    object-fit: contain;
    display: flex;
    flex-direction: column;
    position: relative;
    border: 2px solid #3b454e;
}
.speaking{
    /*border: 10px blueviolet;*/
    /*background-color: #365676;*/
    /*border-bottom: 2px solid #365676;
    border-radius: 2px;*/
}
.speakingOut{
    border: 2px solid #5d9fe1 !important; /* #365676; */
    border-radius: 2px;
}
.localvideo {
    width: 100px;
    /*height: 100px;*/
    border-radius: 10px;
}
#leftplaceholder {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    /*min-width: 640px;*/
    /*align-items: center;*/
    justify-content: center;
    height: 100%;
}
#namespan{
    text-align: left;
    padding-left: 5px;
    border: 2px solid #3b454e;
    height: 20px;
}
.text-danger {
    color: lightcoral;
}
.text-green {
    color: lightgreen;
}
.text-muted {
    /*color: lightcoral;*/
    color: rgba(245, 245, 245, 0.4);
}

.welcome-watermark {
    position: absolute;
    width: 95%;
    height: 95%;
}

.welcome-watermark .watermark.leftwatermark {
    width: 71px ;
    height: 32px ;
}
.watermark {
    display: block;
    position: absolute;
    top: 15;
    width: 71px ;
    height: 32px ;
    background-size: contain;
    background-repeat: no-repeat;
    z-index: 2;
}
.leftwatermark {
    left: 10px ;
    top: 10px ;
    background-position: center left;
    background-repeat: no-repeat;
    background-size: contain;
}
.rightwatermark {
    right: 15px ;
    top: 0 ;
    background-position: center right;
}

#participantsContainer {
    display: flex;
    /*flex-direction: row;*/
    flex-wrap: wrap;
    /*justify-content: center;*/
    height: 100%;
}

#leftplaceholder {
    /*display: none;*/
}

#start {
    width: 100px;
    height: 50px;
    padding-top: 15px;
    padding-left: 5px;
}